
Foreman - Bug #7222

a user should be prevented from creating a role filter that exceeds their own filters

08/21/2014 03:46 PM - Thomas McKay

Status: Rejected   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1132684 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3312

  

Description

A user with limited filters should not be able to create new filters that exceed their own. For example, a user with no host filters can

currently still create a new role and filter on hosts.

Related issues:

Related to Foreman - Bug #24851: Do not allow users to escalate their own per... New

History

#1 - 08/21/2014 03:46 PM - Thomas McKay

- Bugzilla link set to 1132684

#2 - 03/13/2016 12:58 AM - Shimon Shtein

- Status changed from New to Assigned

- Assignee set to Shimon Shtein

#3 - 03/13/2016 04:03 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3312 added

#4 - 03/16/2016 09:49 AM - Thomas McKay

- Status changed from Ready For Testing to Rejected

A larger design on this topic is needed if the concept of true org admins is accepted.

#5 - 09/10/2018 01:23 PM - Marek Hulán

- Related to Bug #24851: Do not allow users to escalate their own permissions added
